Intel® Enhanced Privacy ID SDK 2.0.0

Macros | Functions
memory.c File Reference

Memory access implementation. More...

`#include "epid/common/memory.h"`
`#include <string.h>`
`#include <stdint.h>`

## Macros
#define | RSIZE_MAX ((SIZE_MAX) >> 1)
| Maximum size of the destination buffer.
#define | MIN(a, b) ((a) < (b) ? (a) : (b))
| Evaluate to minimum of two values.

## Functions
int | memcpy_S (void *dest, size_t destsz, void const *src, size_t count)
| Copies count of character from dest to src. More...
void | EpidZeroMemory (void *ptr, size_t size)
| Clear information stored in block of memory pointer to by ptr. More...
void * | EpidAlloc (size_t size)
| Allocates memory of size bytes. More...
void * | EpidRealloc (void *ptr, size_t new_size)
| Reallocates memory allocated by EpidAlloc. More...
void | EpidFree (void *ptr)
| Frees memory allocated by EpidAlloc. More...

## Detailed Description

Memory access implementation.